Returns an array representation of the input document

- « SolrInputDocument::sort

- SolrDocument »

- PHP Manual
- SolrInputDocument
- Returns an array representation of the input document

# SolrInputDocument::toArray

(PECL solr >= 0.9.2)

SolrInputDocument::toArray — Returns an array representation of the input document

### Description

public SolrInputDocument::toArray(): array

Returns an array representation of the input document.

### Parameters

This function has no parameters.

### Return Values

Returns an array containing the fields. It returns `false` on failure.